<?php
/* Contact Form 7 support functions
------------------------------------------------------------------------------- */

// Theme init
if (!function_exists('writer_ancora_cf7_theme_setup')) {
    add_action( 'writer_ancora_action_before_init_theme', 'writer_ancora_cf7_theme_setup', 1 );
    function writer_ancora_cf7_theme_setup() {
        if (is_admin()) {
            add_filter( 'writer_ancora_filter_required_plugins', 'writer_ancora_cf7_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( !function_exists( 'writer_ancora_cf7_required_plugins' ) ) {
    function writer_ancora_cf7_required_plugins($list=array()) {
        if (in_array('contact-form-7', (array)writer_ancora_storage_get('required_plugins')))
            $list[] = array(
                'name'         => esc_html__('Contact Form 7', 'writer-ancora'),
                'slug'         => 'contact-form-7',
                'required'     => false
            );
        return $list;
    }
}


// Check if cf7 installed and activated
if ( !function_exists( 'writer_ancora_exists_cf7' ) ) {
	function writer_ancora_exists_cf7() {
		return class_exists('WPCF7');
	}
}
?>